## IdeCodeIndexEntries IdeCodeIndexEntries |

## Functions

IdeCodeIndexEntry * | ide_code_index_entries_get_next_entry ()
GFile * | ide_code_index_entries_get_file ()
void | ide_code_index_entries_next_entries_async ()
GPtrArray * | ide_code_index_entries_next_entries_finish ()
void | ide_code_index_entries_collect_async ()
GPtrArray * | ide_code_index_entries_collect_finish ()

## Types and Values

#define | IDE_TYPE_CODE_INDEX_ENTRIES
struct | IdeCodeIndexEntriesInterface
| IdeCodeIndexEntries

## Object Hierarchy

        GInterface
        ╰── IdeCodeIndexEntries

## Prerequisites

IdeCodeIndexEntries requires GObject.

## Description

## Functions

### ide_code_index_entries_get_next_entry ()

    IdeCodeIndexEntry *
    ide_code_index_entries_get_next_entry (IdeCodeIndexEntries *self);

This will fetch next entry in index.

When all of the entries have been exhausted, `NULL` should be returned.

#### Parameters

self | An IdeCodeIndexEntries instance. |

#### Returns

An IdeCodeIndexEntry.

[nullable][transfer full]

Since: 3.32

### ide_code_index_entries_get_file ()

    GFile *
    ide_code_index_entries_get_file (IdeCodeIndexEntries *self);

The file that was indexed.

#### Parameters

self | a IdeCodeIndexEntries |

#### Returns

a GFile.

[transfer full]

Since: 3.32

### ide_code_index_entries_next_entries_async ()

    void
    ide_code_index_entries_next_entries_async
                                   (IdeCodeIndexEntries *self,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Requests the next set of results from the code index asynchronously. This allows implementations to possibly process data off the main thread without blocking the main loop.

#### Parameters

self | a IdeCodeIndexEntries |
cancellable | a GCancellable or `NULL`. | [nullable]
callback | a callback to execute upon completion |
user_data | user data for `callback` , or `NULL` |

Since: 3.32

### ide_code_index_entries_next_entries_finish ()

    GPtrArray *
    ide_code_index_entries_next_entries_finish
                                   (IdeCodeIndexEntries *self,
                                    GAsyncResult *result,
                                    GError **error);

Completes an asynchronous request for the next set of entries from the index.

#### Parameters

self | a IdeCodeIndexEntries |
result | a GAsyncResult provided to callback |
error | a location for a GError, or `NULL` |

#### Returns

a GPtrArray of IdeCodeIndexEntry.

[transfer full][element-type IdeCodeIndexEntry]

Since: 3.32

### ide_code_index_entries_collect_async ()

    void
    ide_code_index_entries_collect_async (IdeCodeIndexEntries *self,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Calls `ide_code_index_entries_next_entries_async()` repeatedly until all entries have been retrieved. After that, the async operation will complete.

Since: 3.32

### ide_code_index_entries_collect_finish ()

    GPtrArray *
    ide_code_index_entries_collect_finish (IdeCodeIndexEntries *self,
                                           GAsyncResult *result,
                                           GError **error);

#### Returns

an array of IdeCodeIndexEntry or `NULL` and `error` is set.

[transfer full][element-type IdeCodeIndexEntry]

Since: 3.32

## Types and Values

### IDE_TYPE_CODE_INDEX_ENTRIES

    #define IDE_TYPE_CODE_INDEX_ENTRIES (ide_code_index_entries_get_type())

### struct IdeCodeIndexEntriesInterface

    struct IdeCodeIndexEntriesInterface {
      GTypeInterface       parent_iface;

      GFile             *(*get_file)            (IdeCodeIndexEntries  *self);
      IdeCodeIndexEntry *(*get_next_entry)      (IdeCodeIndexEntries  *self);
      void               (*next_entries_async)  (IdeCodeIndexEntries  *self,
                                                 GCancellable         *cancellable,
                                                 GAsyncReadyCallback   callback,
                                                 gpointer              user_data);
      GPtrArray         *(*next_entries_finish) (IdeCodeIndexEntries  *self,
                                                 GAsyncResult         *result,
                                                 GError              **error);
    };

### IdeCodeIndexEntries

    typedef struct _IdeCodeIndexEntries IdeCodeIndexEntries;